Bug 168219 - Purchase History support app link should point to active, not all, contracts page
Purchase History support app link should point to active, not all, contracts ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn400
All Linux
medium Severity medium
: ---
: ---
Assigned To: Máirín Duffy
Vlady Zlatkin
https://rhn.redhat.com/rhn/account/Pu...
:
Depends On:
Blocks: 168311
  Show dependency treegraph
 
Reported: 2005-09-13 12:27 EDT by Máirín Duffy
Modified: 2007-04-18 13:31 EDT (History)
12 users (show)

See Also:
Fixed In Version: 401
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-13 10:22:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2005-09-13 12:27:51 EDT
The link to the www support app on the RHN purchase history page points to the
full list of customer purchases:

https://www.redhat.com/apps/support/complete.html

Customer support has indicated that this page is confusing for customers as it
shows them expired contracts, and would prefer the RHN purchase history link to:

https://www.redhat.com/apps/support/active.html

See bug 158552 for more information on the changes that have taken place to the
purchase history page.
Comment 1 Máirín Duffy 2005-09-23 11:46:55 EDT
TEST PLAN
=========
notes:

- this only effects hosted

steps:

1) Login
2) Click "Purchase History" in the left navigation menu
3) Click the large image on the right side of the page. It should bring you to
https://www.redhat.com/apps/support/active.html (*not* the similar-looking
https://www.redhat.com/apps/support/complete.html), or if you are not logged
into the support app already, you will be prompted to log in at
https://www.redhat.com/apps/support/
4) Click back to go back to the purchase history page.
5) Click on the link in the first paragraph of the purchase history page ("your
purchase history and the expiration dates"). It should bring you to the same
page(s) as in step 3.
6) Click on the link in the last line of text on the purchase history page
("View your purchase history and service/subscription expiration info now"). It
should bring you to the same page(s) as in step 3 and step 5.
Comment 2 Vlady Zlatkin 2005-09-30 15:10:48 EDT
fails,

<p>At the <strong>Red Hat Support Site</strong>, you can view <strong><a
href="https://www.redhat.com/apps/support/complete.html">your purchase history
and the expiration dates</a></strong>
for web &amp; phone support, Red Hat Enterprise Linux
subscriptions, and Red Hat Network software and service entitlements.
You can view <strong>account details</strong> such as:</p>

Red Hat Network release 4.0.1
Comment 3 Máirín Duffy 2005-09-30 17:07:26 EDT
Sorry Vlad, I checked it into HEAD rather than the RELEASE-4.0 branch, should be
in now. Putting back ON_DEV.
Comment 4 Vlady Zlatkin 2005-10-05 10:29:26 EDT
works now
Comment 5 Vlady Zlatkin 2005-10-10 11:21:27 EDT
works in stage

Note You need to log in before you can comment on or make changes to this bug.